#!/bin/bash
############ plot GFS UVT @314.8E ######################
export GRADS='grads -d Cairo -h GD'
export filein=gfs.t00z.pgrb2.0p25.f108
./g2ctl ${filein} > ${filein}.ctl
./gribmap -i ${filein}.ctl

export ymdh=2018090100
export hour=108
#--------------------------------------------
export fileout=OnConv_${ymdh}_U3148E_f${hour}
gnamelist=${filein}_U3148E.gs
echo "'reinit';'clear';'open ${filein}.ctl'"                                      > ${gnamelist}
echo "'set vpage off'"                                               >> ${gnamelist}
echo "'set mproj latlon';'set grads off';'set grid off'"                          >> ${gnamelist}
echo "'set lon 314.8';'set lat 20 25';'set z 1 57';'set xlint 1';'set ylint 100'"   >> ${gnamelist}
echo "'set xlopts 1 5 0.12';'set ylopts 1 5 0.12'"                                >> ${gnamelist}
echo "'set gxout contour';'set cthick 8';'set cint 5'"             >> ${gnamelist}
echo "'display UGRDprs'"                                                   >> ${gnamelist}
echo "'draw title UGRD AL06 ${ymdh} 3KMOnConv ${hour}'"            >> ${gnamelist}
echo "'set display color white'"                                                  >> ${gnamelist}
echo "'printim ${fileout}.gif x1100 y850'"                                         >> ${gnamelist}
echo "*pull dummy;'clear'"                                                        >> ${gnamelist}
echo "quit"                                                                       >> ${gnamelist}
$GRADS -blc "run ${gnamelist}"

#--------------------------------------------
export fileout=OnConv_${ymdh}_V3148E_f${hour}
gnamelist=${filein}_V3148E.gs
echo "'reinit';'clear';'open ${filein}.ctl'"                                      > ${gnamelist}
echo "'set vpage off'"                                               >> ${gnamelist}
echo "'set mproj latlon';'set grads off';'set grid off'"                          >> ${gnamelist}
echo "'set lon 314.8';'set lat 20 25';'set z 1 57';'set xlint 1';'set ylint 100'"   >> ${gnamelist}
echo "'set xlopts 1 5 0.12';'set ylopts 1 5 0.12'"                                >> ${gnamelist}
echo "'set gxout contour';'set cthick 8';'set cint 5'"             >> ${gnamelist}
echo "'display VGRDprs'"                                                   >> ${gnamelist}
echo "'draw title VGRD AL06 ${ymdh} 3KMOnConv ${hour}'"            >> ${gnamelist}
echo "'set display color white'"                                                  >> ${gnamelist}
echo "'printim ${fileout}.gif x1100 y850'"                                         >> ${gnamelist}
echo "*pull dummy;'clear'"                                                        >> ${gnamelist}
echo "quit"                                                                       >> ${gnamelist}
$GRADS -blc "run ${gnamelist}"

#--------------------------------------------
export fileout=OnConv_${ymdh}_T3148E_f${hour}
gnamelist=${filein}_T3148E.gs
echo "'reinit';'clear';'open ${filein}.ctl'"                                      > ${gnamelist}
echo "'set vpage off'"                                               >> ${gnamelist}
echo "'set mproj latlon';'set grads off';'set grid off'"                          >> ${gnamelist}
echo "'set lon 314.8';'set lat 20 25';'set z 1 57';'set xlint 1';'set ylint 100'"   >> ${gnamelist}
echo "'set xlopts 1 5 0.12';'set ylopts 1 5 0.12'"                                >> ${gnamelist}
echo "'set gxout contour';'set cthick 8';'set cint 1'"             >> ${gnamelist}
echo "'display TMPprs-ave(TMPprs,lat=20,lat=25)'"                                                   >> ${gnamelist}
echo "'draw title TMP AL06 ${ymdh} 3KMOnConv ${hour}'"            >> ${gnamelist}
echo "'set display color white'"                                                  >> ${gnamelist}
echo "'printim ${fileout}.gif x1100 y850'"                                         >> ${gnamelist}
echo "*pull dummy;'clear'"                                                        >> ${gnamelist}
echo "quit"                                                                       >> ${gnamelist}
$GRADS -blc "run ${gnamelist}"

#--------------------------------------------
export fileout=OnConv_${ymdh}_TU3148E_f${hour}
gnamelist=${filein}_TU3148E.gs
echo "'reinit';'clear';'open ${filein}.ctl'"                                      > ${gnamelist}
echo "'set vpage off'"                                               >> ${gnamelist}
echo "'set mproj latlon';'set grads off';'set grid off'"                          >> ${gnamelist}
echo "'set lon 314.8';'set lat 20 25';'set z 1 57';'set xlint 1';'set ylint 100'"   >> ${gnamelist}
echo "'set xlopts 1 5 0.12';'set ylopts 1 5 0.12'"                                >> ${gnamelist}
echo "'set gxout shaded';'set cint 1'"                             >> ${gnamelist}
echo "'display TMPprs-ave(TMPprs,lat=20,lat=25)';'run cbar.gs'"       >> ${gnamelist}
echo "'set gxout contour';'set cthick 8';'set cint 5'"             >> ${gnamelist}
echo "'display UGRDprs'"                                                   >> ${gnamelist}
echo "'draw title TMP/UGRD AL06 ${ymdh} 3KMOnConv ${hour}'"            >> ${gnamelist}
echo "'set display color white'"                                                  >> ${gnamelist}
echo "'printim ${fileout}.gif x1100 y850'"                                         >> ${gnamelist}
echo "*pull dummy;'clear'"                                                        >> ${gnamelist}
echo "quit"                                                                       >> ${gnamelist}
$GRADS -blc "run ${gnamelist}"



